<?php
    ob_start();
    session_start();
//	header('Content-Type: text/html; charset=utf-8');	
    require_once('Xml.Class.php');
    require_once('connect.php');


	
$xml = new Xml();
$status = "Ativado";
$erro = 0;
$msgerro = "N/A";
$id_dispositivo_cadastrado="N/A";
//Abrindo a Tag de Resposta
$xml->openTag("response");    

		//Cliente	
		$st_associado			= $_GET['associado'];
		$ds_nome 				= $_GET['cliente'];
		$ds_endereco			= $_GET['endereco'];
		$ds_numero				= $_GET['numero'];
		$ds_complemento			= $_GET['complemento'];
		$ds_bairro				= $_GET['bairro'];
		$ds_cidade				= $_GET['cidade'];
		$ds_uf					= $_GET['uf'];
		$ds_cep					= $_GET['cep'];
		$ds_email				= $_GET['email'];
		$ds_senha				= $_GET['senha'];
		$ds_documento			= $_GET['documento'];
		$ds_telefone			= $_GET['telefone'];
		$ds_matricula			= $_GET['matricula'];
		$ds_registro_nacional	= $_GET['registro'];		

		//Dispositivo
		$ds_dispositivo			= $_GET['dispositivo'];
		$ds_serial				= $_GET['serial'];
		$ds_macadress			= $_GET['macadress'];
		$ds_ultimo_ip			= $_GET['ip'];
		
//echo "E-mail passado por parametro: " . $ds_email;		
		//Teste
/*	
		echo "st_associado: " 			. $st_associado 			. "<br>";
		echo "ds_nome: " 				. $ds_nome 					. "<br>";
		echo "ds_endereco: " 			. $ds_endereco 				. "<br>";
		echo "ds_numero: " 				. $ds_numero 				. "<br>";
		echo "ds_complemento: " 		. $ds_complemento 			. "<br>";
		echo "ds_bairro: " 				. $ds_bairro 				. "<br>";
		echo "ds_cidade: " 				. $ds_cidade 				. "<br>";
		echo "ds_uf: " 					. $ds_uf 					. "<br>";
		echo "ds_cep: " 				. $ds_cep 					. "<br>";
		echo "ds_email: " 				. $ds_email 				. "<br>";
		echo "ds_senha: " 				. $ds_senha 				. "<br>";
		echo "ds_documento: " 			. $ds_documento 			. "<br>";
		echo "ds_telefone: " 			. $ds_telefone 				. "<br>";
		echo "ds_matricula: " 			. $ds_matricula 			. "<br>";
		echo "ds_registro_nacional: " 	. $ds_registro_nacional 	. "<br>";

		//Dispositivo
		echo "ds_dispositivo" 	. $ds_dispositivo 	. "";
		echo "ds_serial" 		. $ds_serial 		. "";
		echo "ds_macadress" 	. $ds_macadress 	. "";
		echo "ds_ultimo_ip" 	. $ds_ultimo_ip 	. "";
*/	
		
//echo "Chamando o serviço de atualização de extrato" . "<br>";

//Status dos Pedidos na Loja Ibracon
/*
364 - Pagamentos confirmados;
365 - Pago em andamento;
372 - Concluído / Enviado;
*/
		
			
//Obter versao atual do aplicativo, caso a versao informada seja maior que a versao instalada solicitar atualizacao
	$consulta_versao_app = "select * from parametros 
							 where ds_parametro = 'appPCVersion'";
				
				$sql = mysql_query($consulta_versao_app) or die (mysql_error());
               
					if(mysql_num_rows($sql) > 0 ){
//						echo "Existe na base de dados" . "<br>";
						
							while ($registro = mysql_fetch_array($sql)){
								   $id_parametro_versao_bd = $registro['id'];
                                   $ds_parametro_versao_bd = $registro['ds_parametro'];
                                   $ds_versao_app_bd	   = $registro['ds_valor'];
							}				
				}

//Obter versao atual do aplicativo, caso a versao informada seja maior que a versao instalada solicitar atualizacao
	$consulta_url_app = "select * from parametros 
							 where ds_parametro = 'urlApp'";
				
				$sql = mysql_query($consulta_url_app) or die (mysql_error());
               
					if(mysql_num_rows($sql) > 0 ){
//						echo "Existe na base de dados" . "<br>";
						
							while ($registro = mysql_fetch_array($sql)){
                                   $ds_url_app = $registro['ds_valor'];
							}				
				}
				
				

//Adicionado em: 12/12/2013 - Campo de verificação se o cliente é associado ou não no formulário do aplicativo 
// para que ele não tenha (se associado) que preencher todo o form de cadastro, pois já temos seus dados no banco
// e neste caso (se associado) ele não pode atualizar seus dados pela interface do aplicativo. O form do aplicativo
// servirá apenas para clientes não associados, que não estão no banco de dados e irão ser inseridos na base pelo webservice.

	
//Associado (s/n)

if ($st_associado==''){
	$msgerro = 'Tipo de Cliente (associado / não associado) não foi informado';
	$erro=27;
	$status = 'Não ativado';
}


	if ($st_associado=='n'){
		
			//$ds_nome
			if ($ds_nome==''){
				$msgerro = 'Nome do cliente não informado';
				$erro=10;
				$status = 'Nao ativado';
			}
				
			//$ds_endereco
			if ($ds_endereco==''){
				$msgerro = 'Enderedeco não informado';
				$erro=11;
				$status = 'Nao ativado';	
			}

			//$ds_numero
			if ($ds_numero==''){
				$msgerro = 'Número não informado';
				$erro=12;
			}

			//$ds_complemento
			if ($ds_complemento==''){
				$msgerro = 'Complemento não informado';
				$erro=13;
			}

			//$ds_bairro
			if ($ds_bairro==''){
				$msgerro = 'Bairro não informado';
				$erro=14;
			}

			//$ds_cidade
			if ($ds_cidade==''){
				$msgerro = 'Cidade não informada';
				$erro=15;
			}

			//$ds_uf
			if ($ds_uf==''){
				$msgerro = 'UF não informada';
				$erro=16;
				$erro_loja =1;//Variavel usada para chamar servico de extrato
			}

			//$ds_cep
			if ($ds_cep==''){
				$msgerro = 'CEP não informado';
				$erro=17;
			}

			//$ds_email
			if ($ds_email==''){
				$msgerro = 'E-mail não informado';
				$erro=18;
				$erro_loja =1;//Variavel usada para chamar servico de extrato
			}

			//$ds_senha
			if ($ds_senha==''){
				$msgerro = 'Senha não informada';
				$erro=19;
			}

			//$ds_documento
			if ($ds_documento==''){
				$msgerro = 'Documento não informado';
				$erro=20;
				$erro_loja =1;//Variavel usada para chamar servico de extrato
			}

			//$ds_telefone
			if ($ds_telefone==''){
				$msgerro = 'Telefone não informado';
				$erro=21;
			}

			//$ds_matricula
			/* #################################################################################
			12/12/2013 - Fabio Gomes
			 A matricula é um controle interno do IBRACON não conhecido pelos seus associados, por este 
			 motivo seu preenchimento não é mais validado
			
			if ($ds_matricula==''){
				$msgerro = 'Matricula não informada';
				$erro=0;
			}
			 ####################################################################################*/
}
			 
	//$ds_registro_nacional
	if ($ds_registro_nacional==''){
		$msgerro = 'Registro Nacional não informado';
		$erro=0;
	}

	//Dispositivo
	//$ds_dispositivo
	if ($ds_dispositivo==''){
		$msgerro = 'Dispositivo não informado';
		$erro=23;
	}

	//$ds_serial
	if ($ds_serial==''){
		$msgerro = 'Serial do dispositivo não informado';
		$erro=24;
	}

	//$ds_macadress
	if ($ds_macadress==''){
		$msgerro = 'MacAdress do dispositivo não informado';
		$erro=25;
	}

	//$ds_ultimo_ip
	if ($ds_ultimo_ip==''){
		$msgerro = 'Ultimo IP do cliente não informado';
		$erro=26;
	}


//echo "Testando registro nacional" ."<br>";
/*
if ($ds_registro_nacional==''){
	echo "Registro Nacional em branco" . "<br>";
}

if (empty($ds_registro_nacional)){
	echo "Registro Nacional empty" . "<br>";
}
*/


//echo "Codigo de Erro ao mapear os campos = " . $erro ."<br>";
if ($erro==0){

//echo "Não houve erros de parametros" . "<br>";
//echo "E-mail passado por parametro: " . $ds_email;		

//Verifica se os campos obrigatorios para nao associados foram preenchidos e chama os servicos de extrato
if ($st_associado=='n'){
//echo "Não sou associado e pelo $erro=0 preenchi todos os campos necessarios para chamar o servico de extrato" . "<br>";
		
}

//echo "Elaborando consulta de busca de cliente na base" . "<br>";
				$consulta_cliente = "select * from clientes 
										where st_ativo = 1
										  and ds_documento = '$ds_documento'
										  and st_ativo = 1";
										  //and ds_matricula = '$ds_matricula'";//	  and ds_senha     = '$ds_senha'";
										  
//echo "qry_consulta_cliente" . $consulta_cliente . "<br>"; 
				
				$sql = mysql_query($consulta_cliente) or die (mysql_error());
               
					if(mysql_num_rows($sql) > 0 ){
//						echo "Existe cliente na base de dados" . "<br>";
						
							while ($registro = mysql_fetch_array($sql)){
								   $id_cliente_bd   	 	= $registro['id'];
                                   $ds_matricula_bd 	 	= $registro['ds_matricula'];
                                   $ds_documento_bd 	 	= $registro['ds_documento'];
								   $ds_registro_nacional_bd = $registro['ds_registro_nacional'];
								   
								   //Campos necessarios para chamada de servico de extrato
								   $ds_documento 			= $registro['ds_documento'];
								   if ($registro['ds_email']!=null) {
										$ds_email			= $registro['ds_email'];
								   }
								   $ds_uf					= $registro['ds_uf'];
							}
/*							
							echo "id_cliente_bd = "           . $id_cliente_bd 				. "<br>";
							echo "ds_matricula_bd = "         . $ds_matricula_bd 			. "<br>";
							echo "ds_documento_bd = " 		  . $ds_documento_bd 			. "<br>";
							echo "ds_registro_nacional_bd = " . $ds_registro_nacional_bd 	. "<br>";
							
							echo "Campos necessarios para a chamada de servico" . "<br>";
							
							echo "ds_documento" . $ds_documento . "<br>";
							echo "ds_email"		. $ds_email		. "<br>";
							echo "ds_uf"		. $ds_uf 		. "<br>";
*/

	

//echo "E-mail passado por parametro DEPOIS DA CHAMADA DOS SERVICOS: " . $ds_email;		
							

							if ($ds_registro_nacional_bd != ''){//Sou associado
//								echo "sou associado" . "<br>";
								if ($ds_registro_nacional != $ds_registro_nacional_bd){//Mas meu RN informado é diferente do banco
//										echo "Registro Nacional nao foi informado ou nao esta correto" . "<br>";
										$erro=1;
										$msgerro = "Registro Nacional não foi informado ou não esta correto";
										$status = "Não ativado";
								}
//								echo "Codigo de erro:" . $erro ."<br>"; 
                            }
							if($erro == 0){/*Meu RN bate com o do banco ou simplesmente não sou associado, mas esse crivo foi necessário 
												para não estragar registros de associados com tentativas de não associados.				*/
								//Atualiza cliente
//								echo "vou atualizar o cadastro do cliente" . "<br>";
								
								/*#################################################################################
								Data:12/12/2013 - Fabio Gomes
								Não atualizar mais o cadastro de clientes associados, portando o update abaixo está comentado.
								INICIO MODIFICACAO A PEDIDO DO IBRACON
								*/

								
//								echo "Verificando se o cliente é associado" . "<br>";
//								echo "st_associado=" . $st_associado . "<br>";
//								echo "ds_registro_nacional_bd=" . $ds_registro_nacional_bd . "<br>";

								if ($st_associado=="n" && $ds_registro_nacional_bd == null) {
								
//									echo "Não sou um cliente associado, vou atualizar meu cadastro" . "<br>";
										
									
									$sql_atualiza_cliente = "update clientes set ds_nome            = '$ds_nome'
																			,ds_endereco            = '$ds_endereco'
																			,ds_numero              = '$ds_numero'
																			,ds_complemento         = '$ds_complemento'
																			,ds_bairro              = '$ds_bairro'
																			,ds_cidade              = '$ds_cidade'
																			,ds_uf                  = '$ds_uf'
																			,ds_cep                 = '$ds_cep'
																			,ds_email               = '$ds_email'
																			,ds_senha               = '$ds_senha'
																			,ds_telefone            = '$ds_telefone'
																	where id = $id_cliente_bd" ;
									
//									echo "qry_atualiza_cliente" . $sql_atualiza_cliente . "<br>";
									 //Executa atualizacao do cliente 
									 $sql = mysql_query($sql_atualiza_cliente) or die ($erro = mysql_error());
//									echo "atualizei o cliente" . "<br>";
									//FIM MODIFICACAO A PEDIDO DO IBRACON
									#################################################################################*/

								}
								 //Verifica se o dispositivo já existe
//								 echo "estou montando a query de consulta ao dispositivo" . "<br>";
								 $sql_consulta_dispositivo = "select * from cliente_dispositivos 
															  where st_ativo = 1
															  and (ds_serial       = '$ds_serial'
																   or ds_macadress = '$ds_macadress')";

//								echo  "qry_consulta_dispositivo:" . $sql_consulta_dispositivo . "<br>";
																   
								 $sql = mysql_query($sql_consulta_dispositivo) or die ($erro = mysql_error());
//								 echo "executei a consulta de dispositivos" . "<br>";
								 
									if(mysql_num_rows($sql) > 0 ){
//										echo "Existe dispositivo cadastrado" . "<br>";
											while ($registro    = mysql_fetch_array($sql)){
													$id_dispositivo_cadastrado = $registro['id'];
													$id_status_dispositivo_cadastrado = $registro['id_status_dispositivo'];
											}
//											echo "Atualiza o cadastro do dispositivo" . "<br>";

											if ($id_status_dispositivo_cadastrado == 1){
//											echo "O status do dispositivo é 1, ou seja, ele está ativo";
											
											
											$sql_atualiza_dispositivo = "update cliente_dispositivos set ds_dispositivo = '$ds_dispositivo'
																										,id_cliente     = '$id_cliente_bd'
																										,ds_serial      = '$ds_serial'
																										,ds_macadress   = '$ds_macadress'
																										,ds_ultimo_ip   = '$ds_ultimo_ip'
																										,dt_acesso      = current_timestamp
																				where id = $id_dispositivo_cadastrado";
													   
//													   echo "Executa a atualizacao do dispositivo" . "<br>";
//													   echo $sql_atualiza_dispositivo;
													   $sql = mysql_query($sql_atualiza_dispositivo) or die ($erro = mysql_error());
																				
											}else{
												$status = "Inativo";
												$erro=2;
												$msgerro = "Dispositivo Bloqueado/Inativo";
											}
												
									}else{
//													echo "Nao existe dispositivo cadastrado para o cliente" . "<br>";
													
//													echo "Cadastra o dispositivo" . "<br>";
													
													$sql_cadastra_dispositivo = "insert into cliente_dispositivos (ds_dispositivo                                
																												  ,id_cliente
																												  ,ds_serial
																												  ,ds_macadress
																												  ,ds_ultimo_ip
																												  ,dt_registro
																												  ,dt_acesso
																												  ,id_status_dispositivo
																												  ,st_ativo)
																										   values('$ds_dispositivo'
																												 ,'$id_cliente_bd'
																												 ,'$ds_serial'
																												 ,'$ds_macadress'
																												 ,'$ds_ultimo_ip'
																												 ,current_timestamp
																												 ,current_timestamp
																												 ,1
																												 ,1)"; 
//													   echo "Executa o cadastro do dispositivo" . "<br>";
//													   echo $sql_cadastra_dispositivo;
													   $sql = mysql_query($sql_cadastra_dispositivo) or die ($erro = mysql_error());
                                          
											//Obter o ID do Dispositivo recem cadastrado
											//Verifica se o dispositivo já existe
//											echo "estou montando a query de consulta ao dispositivo" . "<br>";
											$sql_consulta_dispositivo = "select * from cliente_dispositivos 
																		  where st_ativo = 1
																		    and (ds_serial       = '$ds_serial'
																			     or ds_macadress = '$ds_macadress')";
																			 
				
											$sql = mysql_query($sql_consulta_dispositivo) or die ($erro = mysql_error());
//											echo "executei a consulta de dispositivos" . "<br>";
											 
											if(mysql_num_rows($sql) > 0 ){
//											echo "Existe dispositivo cadastrado" . "<br>";
												while ($registro    = mysql_fetch_array($sql)){
														$id_dispositivo_cadastrado = $registro['id'];
												}
/*
												echo "Devolve a reposta via xml (id_cliente, matricula, status)" . "<br>";
												echo "Situacao1: Possuo Cadastro na Base do Ibracon - Sou associado e possuo matricula e senha validos" . "<br>";
												echo "<br>";
												echo "1) Retornar os meus dados de cliente;" . "<br>";
												echo "<br>";
												echo "2) Registrar o dispositivo;" . "<br>";
												echo "<br>";
												echo "3) Retornar informacao de registrado com sucesso;" . "<br>";
												echo "<br>";
												echo "4)Responder xml ID_Cliente = ". $id_cliente_bd . "Matricula=" . $ds_matricula . "Status= Registrado com Sucesso!";
*/
											}                            		
									} 
				}

			} else { 
//			                echo "Cliente nao existe na base 1o select" . "<br>";
//							echo "Efetuar cadastro de Nao Associado" . "<br>";
							
//							echo "E-mail passado por parametro: " . $ds_email;		
							
						    $sql_cadastra_cliente = "insert into clientes (ds_nome
																		  ,ds_endereco
																		  ,ds_numero
																		  ,ds_complemento
																		  ,ds_bairro
																		  ,ds_cidade
																		  ,ds_uf
																		  ,ds_cep
																		  ,ds_email
																		  ,ds_senha
																		  ,st_ativo
																		  ,id_tipo_cliente
																		  ,ds_documento
																		  ,ds_telefone
																		  ,ds_matricula
																		  ,ds_registro_nacional)           
                                                                   values('$ds_nome'
																         ,'$ds_endereco'
																		 ,'$ds_numero'
																		 ,'$ds_complemento'
																		 ,'$ds_bairro'
																		 ,'$ds_cidade'
																		 ,'$ds_uf'
																		 ,'$ds_cep'
																		 ,'$ds_email'
																		 ,'$ds_senha'
																		 ,1
																		 ,2
																		 ,'$ds_documento'
																		 ,'$ds_telefone'
																		 ,'$ds_matricula'
																		 ,'$ds_registro_nacional')";
//									echo $sql_cadastra_cliente;
//									echo "Executa cadastro do cliente QUE NAO É ASSOCIADO" . "<br>";
									$sql = mysql_query($sql_cadastra_cliente) or die ($erro = mysql_error());
//									echo "cadastrei o cliente" . "<br>";
                            
							
//									echo "obtem o novo id_cliente cadastrado" . "<br>";
									$sql_consulta_novo_cliente = "select * from clientes 
																   where st_ativo = 1
														             and ds_documento = '$ds_documento'";

									$sql = mysql_query($sql_consulta_novo_cliente) or die (mysql_error());
							   
										if(mysql_num_rows($sql) > 0 ){
//											echo "Existe na base de dados" . "<br>";
												while ($registro     = mysql_fetch_array($sql)){
													$id_cliente_bd   = $registro['id'];
													$ds_matricula_bd = $registro['ds_matricula'];
													$ds_documento_bd = $registro['ds_documento'];
												}
										
//											echo "id_cliente_bd = " . $id_cliente_bd . "<br>";
//											echo "ds_matricula_bd = " . $ds_matricula_bd . "<br>";
//											echo "ds_documento_bd = " . $ds_documento_bd . "<br>";


//											echo "Agora que tenho o id_cliente do novo cliente, efetuo o cadastro do dispositivo" . "<br>";
                                            $sql_cadastra_dispositivo = "insert into cliente_dispositivos (ds_dispositivo                                
																										  ,id_cliente
																										  ,ds_serial
																										  ,ds_macadress
																										  ,ds_ultimo_ip
																										  ,dt_registro
																										  ,dt_acesso
																										  ,id_status_dispositivo
																										  ,st_ativo)
																								   values('$ds_dispositivo'
																									 	 ,'$id_cliente_bd'
																										 ,'$ds_serial'
																										 ,'$ds_macadress'
																										 ,'$ds_ultimo_ip'
																										 ,current_timestamp
																										 ,current_timestamp
																										 ,1
																										 ,1)";
//											echo "Executa o cadastro do dispositivo" . "<br>";

//											echo $sql_cadastra_dispositivo;
											$sql = mysql_query($sql_cadastra_dispositivo) or die ($erro = mysql_error());
//											echo "cadastrei o dispositivo";

//											echo "Obter o ID do Dispositivo recem cadastrado" . "<br>";
//											echo "Verifica se o dispositivo já existe" . "<br>";
// 										    echo "estou montando a query de consulta ao dispositivo" . "<br>";
											 $sql_consulta_dispositivo = "select * from cliente_dispositivos 
																		  where ds_serial    = '$ds_serial'
																			 or ds_macadress = '$ds_macadress'";
																			 
				
											 $sql = mysql_query($sql_consulta_dispositivo) or die ($erro = mysql_error());
//											 echo "executei a consulta de dispositivos";
											 
												if(mysql_num_rows($sql) > 0 ){
//													echo "Existe dispositivo cadastrado" . "<br>";
														while ($registro    = mysql_fetch_array($sql)){
																$id_dispositivo_cadastrado = $registro['id'];
														}						
//														echo "Situacao3: NÃO POSSUO Cadastro na Base do Ibracon - NÃO SOU ASSOCIADO";
//														echo "<br>";
//														echo "1) Cadastrar o novo cliente como não associado;";
//														echo "<br>";
//														echo "2) Registrar o dispositivo;";
//														echo "<br>";
//														echo "3) Retornar informacao de registrado com sucesso;";
							
												}
										}
					}
				
}	
//	echo "<br><br><br>";
//	echo "Processei ate o final" . "<br>";
//	echo "ID_CLIENTE = " . $id_cliente_bd . "<br>";
//	echo "ID_DISPOSITIVO = " . $id_dispositivo_cadastrado . "<br>";
//	echo "VERSAO APP = " . $ds_versao_app_bd . "<br>";
//	echo "STATUS = " . $status . "<br>";
//	echo "ERRO = " . $erro . "<br>";
//	echo "MSGERRO = " . $msgerro . "<br>";



	// A M B I E N T E     D E      P R O D U C A O

	$xml_extrato = simplexml_load_file("http://www.ibracon.com.br/idr/ws/ws_extrato_aquisicao.php?PedCliCNPJCPF=$ds_documento&PedCliEmail=$ds_email&PedUF=$ds_uf&PedStatus=364"); //364 - Pagamentos confirmados;
	$xml_extrato = simplexml_load_file("http://www.ibracon.com.br/idr/ws/ws_extrato_aquisicao.php?PedCliCNPJCPF=$ds_documento&PedCliEmail=$ds_email&PedUF=$ds_uf&PedStatus=365"); //365 - Pago em andamento;
	$xml_extrato = simplexml_load_file("http://www.ibracon.com.br/idr/ws/ws_extrato_aquisicao.php?PedCliCNPJCPF=$ds_documento&PedCliEmail=$ds_email&PedUF=$ds_uf&PedStatus=372"); //372 - Concluído / Enviado;



/*
	// A M B I E N T E     D E      D E S E N V O L V I M E N T O
//	echo "chamando o servico ws_extrato_aquisicao com o status = 364" . "<br>";	
	$xml_extrato = simplexml_load_file("http://localhost/projetos/ibracon/ws/ws_extrato_aquisicao.php?PedCliCNPJCPF=$ds_documento&PedCliEmail=$ds_email&PedUF=$ds_uf&PedStatus=364"); //364 - Pagamentos confirmados;
	
//	echo "chamando o servico ws_extrato_aquisicao com o status = 365" . "<br>";
	$xml_extrato = simplexml_load_file("http://localhost/projetos/ibracon/ws/ws_extrato_aquisicao.php?PedCliCNPJCPF=$ds_documento&PedCliEmail=$ds_email&PedUF=$ds_uf&PedStatus=365"); //365 - Pago em andamento;
	
//	echo "chamando o servico ws_extrato_aquisicao com o status = 372" . "<br>";
	$xml_extrato = simplexml_load_file("http://localhost/projetos/ibracon/ws/ws_extrato_aquisicao.php?PedCliCNPJCPF=$ds_documento&PedCliEmail=$ds_email&PedUF=$ds_uf&PedStatus=372"); //372 - Concluído / Enviado;
*/
	
	$xml->addTag('codCliente',$id_cliente_bd);
	$xml->addTag('codDispositivo',$id_dispositivo_cadastrado);
	if($erro==0){
		$status = "Ativado";
	}
	$xml->addTag('status',$status);
	$xml->addTag('appVersion',$ds_versao_app_bd);
	$xml->addTag('urlApp',$ds_url_app);
	$xml->addTag('erro',$erro);

	$xml->addTag('msgErro', $msgerro);
	$xml->closeTag("response");
	
	echo $xml;
?>